cd c:\regression 

use example_chapter8


*descriptive statistics 
summarize child sibling, detail

tab1 academic gender 

*making dummy variables 
generate b_dummy=0
replace b_dummy=1 if academic=="Bachelors"

generate g_dummy=0
replace g_dummy=1 if academic=="Graduate degree"

generate h_dummy=0
replace h_dummy=1 if academic=="High school"


generate male_dummy=0
replace male_dummy=1 if gender=="Male"




*correlation among X's 

corr b_dummy g_dummy male_dummy sibling

*Poisson regression (Y = child, X = b_dummy, g_dummy, male_dummy, sibling) 

poisson child b_dummy g_dummy male_dummy sibling
estat gof

*Partial Poisson model (Y = child, X =male_dummy, and sibling) 
poisson child  male_dummy sibling
estat gof

*Poisson regression – “Graduate degree” as reference category (Y = child, X = b_dummy, h_dummy, male_dummy, sibling) 

poisson child b_dummy h_dummy male_dummy sibling
estat gof

* Plotting predicted probabilities of Y=1 (Successful) for different values of “attempt” for a typical case (by setting “education” at its mean (17.11) and “relation” at its mode (Unmarried partner, m_dummy = 0 and p_dummy =1))

quietly logit cessation_binary attempt education m_dummy p_dummy
margins, at(education=17.11 m_dummy=0 p_dummy=1 attempt=(0(1)18))
marginsplot, xdimension (attempt)  

*Plotting predicted probabilities of Y=1 (Successful) for different values of “education” for a typical case (by setting “attempt” at its mean (5.43) and “relation” at its mode (Unmarried partner, m_dummy = 0 and p_dummy =1))

quietly logit cessation_binary attempt education m_dummy p_dummy
margins, at(attempt=5.43 m_dummy=0 p_dummy=1 education=(9(1)24))
marginsplot, xdimension (education)  
